summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2016-08-29 19:59:16 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2016-08-29 20:01:33 +0800
commit431473d1c1af20dbd335ed254d8ef456e20daaf4 (patch)
tree3ea8f0ec4468e343c73f563ae212a53b15dfbadf
parentff6aede02ff12a78aa23543df644648977c552d6 (diff)
downloadandroid-patchsets-431473d1c1af20dbd335ed254d8ef456e20daaf4.tar.gz
NOUGAT-RLCR-PATCHSET: add patchset file for NOUGAT
Change-Id: I264aabaa1349f606e8bded3393416ecae50c0c51 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xNOUGAT-RLCR-PATCHSET47
1 files changed, 47 insertions, 0 deletions
diff --git a/NOUGAT-RLCR-PATCHSET b/NOUGAT-RLCR-PATCHSET
new file mode 100755
index 0000000..02f8e5a
--- /dev/null
+++ b/NOUGAT-RLCR-PATCHSET
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Non-upstreamable ################
+##################################################
+
+##################################################
+################ Backport ########################
+##################################################
+
+##################################################
+################## Bug fixes #####################
+##################################################
+
+##################################################
+################ Temporary fix ###################
+##################################################
+
+##################################################
+#### Optimizations not yet submitted upstream ####
+##################################################
+
+########################################################
+#### Backports of optimizations submitted to master ####
+########################################################
+
+##################################################
+################ Linaro hack ###################
+##################################################
+# changes for mksh prompt and alias ll
+# http://android-review.linaro.org/16756
+apply --linaro external/mksh 16756/1